dev-ros/
ament_cmake_export_interfaces

Export interfaces to downstream packages in the ament buildsystem

https://github.com/ament/ament_cmake

Pkgcheck Warnings

  • All Versions
    • UnstableOnly
      for arch: [ amd64 ], all versions are unstable: [ 1.1.4, 1.3.0 ]
  • 9999
    • PythonAnyMismatchedDepHasVersionCheck
      BDEPEND: missing check for dev-python/ament_package[${PYTHON_USEDEP}] in python_gen_any_dep
    • PythonAnyMismatchedDepHasVersionCheck
      BDEPEND: missing check for dev-python/catkin_pkg[${PYTHON_USEDEP}] in python_gen_any_dep
    • PythonAnyMismatchedDepHasVersionCheck
      DEPEND: missing check for dev-python/ament_package[${PYTHON_USEDEP}] in python_check_deps
    • PythonAnyMismatchedDepHasVersionCheck
      DEPEND: missing check for dev-python/catkin_pkg[${PYTHON_USEDEP}] in python_check_deps
    • PythonHasVersionUsage
      usage of has_version on lines: 45, 46, replace with python_has_version
  • 1.3.0
    • PythonAnyMismatchedDepHasVersionCheck
      BDEPEND: missing check for dev-python/ament_package[${PYTHON_USEDEP}] in python_gen_any_dep
    • PythonAnyMismatchedDepHasVersionCheck
      BDEPEND: missing check for dev-python/catkin_pkg[${PYTHON_USEDEP}] in python_gen_any_dep
    • PythonAnyMismatchedDepHasVersionCheck
      DEPEND: missing check for dev-python/ament_package[${PYTHON_USEDEP}] in python_check_deps
    • PythonAnyMismatchedDepHasVersionCheck
      DEPEND: missing check for dev-python/catkin_pkg[${PYTHON_USEDEP}] in python_check_deps
    • PythonHasVersionUsage
      usage of has_version on lines: 45, 46, replace with python_has_version
  • 1.1.4
    • PythonAnyMismatchedDepHasVersionCheck
      BDEPEND: missing check for dev-python/ament_package[${PYTHON_USEDEP}] in python_gen_any_dep
    • PythonAnyMismatchedDepHasVersionCheck
      BDEPEND: missing check for dev-python/catkin_pkg[${PYTHON_USEDEP}] in python_gen_any_dep
    • PythonAnyMismatchedDepHasVersionCheck
      DEPEND: missing check for dev-python/ament_package[${PYTHON_USEDEP}] in python_check_deps
    • PythonAnyMismatchedDepHasVersionCheck
      DEPEND: missing check for dev-python/catkin_pkg[${PYTHON_USEDEP}] in python_check_deps
    • PythonHasVersionUsage
      usage of has_version on lines: 45, 46, replace with python_has_version
    • RedundantVersion
      slot(0) keywords are overshadowed by version: 1.3.0

Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.